Bug 151355 - Blank screen at start of install
Blank screen at start of install
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 151481 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-03-17 04:29 EST by Ville Skyttä
Modified: 2015-01-04 17:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-19 04:05:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-03-17 04:29:47 EST
System: IBM ThinkPad A30p

When starting the fc4test1 install (regardless of the mode), the last thing I
see is "running /sbin/loader", after that the screen goes black, and nothing

Well, actually nothing happens until I luckily happened to press "Fn+F7" which
on this laptop cycles between LCD/CRT/LCD+CRT video out.

The system seems to be left in the LCD mode (but as said, with a black screen):
the first Fn+F7 switches to CRT (which I don't have connected here), the second
switches to LCD+CRT, the third back into LCD only, etc.  In the two latter
modes, the media check UI is visible again.  But as said, this requires hitting
Fn+F7 a couple of times, the initial LCD mode when starting the installer is
blank for some reason.
Comment 1 Chris Lumens 2005-03-18 10:05:06 EST
*** Bug 151481 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Katz 2005-03-21 13:23:31 EST
Does booting with 'linux nofb' help?
Comment 3 Ville Skyttä 2005-03-21 14:09:31 EST
Yes, that works.  In case it's useful, the video chip here is:

01:00.0 Class 0300: 1002:4c59
        Subsystem: 1014:0235
        Flags: bus master, stepping, fast Back2Back, 66Mhz, medium devsel,
latency 66, IRQ 11
        Memory at e0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 3000 [size=256]
        Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2


01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
(prog-if 00 [VGA])
        Subsystem: IBM ThinkPad A30/A30p (2652/2653)
Comment 4 Jeremy Katz 2005-03-21 14:28:11 EST
vga16fb bug
Comment 5 Ville Skyttä 2005-04-12 02:57:24 EDT
Problem persists in FC4t2.
Comment 6 Dave Jones 2005-06-27 19:18:50 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done

Comment 7 Ville Skyttä 2005-06-28 09:03:33 EDT
Problem persists also in FC4t3 and FC4 final. 
Comment 8 Shane Brodie 2005-07-07 14:46:09 EDT
FC4 Final.  All disks pass media checks.  On Toshiba Satellite Model 1805S, 
when installer tries to start up in X mode, I get a blank white screen.  The 
cursor appears briefly then blinks out.  Nothing further happens.

I powered off and proceeded with a Text mode install which appeared to 
succeed, but following reboot I'm left with a blank screen again and cannot 
seem to escape out of it into console mode.

I'm launching the installer with the following command-line:

linux nofb idebus=66 vga=791

In the meantime ... I'm going back to FC3 ...

FC4 is now 2/2 in fatal installation failures for me  (IBM 300PL with S3 
video, Toshiba 1805S notebook) ... I won't even try it on an old P233 ...
Comment 9 Dave Jones 2005-07-15 17:37:09 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 10 Ville Skyttä 2005-07-16 11:51:45 EDT
Hm, I don't know how to test FC4 _installer_ issues using this update... 
Comment 11 Dave Jones 2005-09-30 01:49:26 EDT
hmm, tricky. your best bet is probably going to be checking whether rawhide has
been fixed or not, and waiting until FC5.  (Or, install FC3, and upgrade to FC4
with yum).

Both involve pain of some degree sadly.
Comment 12 Dave Jones 2005-09-30 19:49:48 EDT
http://fedora.isphuset.no/ contains an unofficial Fedora 4.1, which may get you
up and running, as it has a install kernel based on one of the errata kernels.
Comment 13 Ville Skyttä 2005-10-08 06:38:10 EDT
Same problem with the isphuset ISOs. 
Comment 14 Dave Jones 2005-11-10 15:03:39 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 15 Ville Skyttä 2005-11-10 16:15:14 EST
Sorry, I'll have to just bump back from NEEDINFO, see comments 13 and  
earlier.  OTOH I see isphuset has a new FC4.2 five ISO set which is said to 
contain 2.6.13-1.1532_FC4, but I don't feel like downloading 2.7GB at 25kB/s 
right now... 
Comment 16 Ville Skyttä 2005-11-14 16:36:16 EST
Tested with the isphuset FC 4.2 ISOs, problem persists (2.6.13-1.1532_FC4). 
Comment 17 Dave Jones 2005-11-19 04:05:13 EST
Due to the overhead involved in creating new ISOs (which is what would be
required for fixing bugs seen at installation time that don't have workarounds),
this bug has been closed.

For more information and suggestions, please see bug 169613

Comment 18 Ville Skyttä 2005-11-27 08:56:29 EST
Seems to be fixed in FC5test1.

Note You need to log in before you can comment on or make changes to this bug.